Loading...
Searching...
No Matches
RDKit::FMCS::SubstructureCache::HashKey Struct Reference

`#include <SubstructureCache.h>`

## Public Member Functions

void | computeKey (const Seed &seed, const std::vector< unsigned int > &queryAtomLabels, const std::vector< unsigned int > &queryBondLabels)

## Public Attributes

KeyNumericMetrics | NumericMetrics

## Detailed Description

Definition at line 35 of file SubstructureCache.h.

## Member Function Documentation

## computeKey()

void RDKit::FMCS::SubstructureCache::HashKey::computeKey | ( | const Seed & | seed,
|  | const std::vector< unsigned int > & | queryAtomLabels,
|  | const std::vector< unsigned int > & | queryBondLabels
| ) |  |

inline

Definition at line 39 of file SubstructureCache.h.

Referenced by RDKit::FMCS::SubstructureCache::find().

## Member Data Documentation

## NumericMetrics

KeyNumericMetrics RDKit::FMCS::SubstructureCache::HashKey::NumericMetrics

Definition at line 36 of file SubstructureCache.h.

Referenced by RDKit::FMCS::SubstructureCache::add(), and RDKit::FMCS::SubstructureCache::find().

The documentation for this struct was generated from the following file:

- SubstructureCache.h